#!/usr/bin/env python3

# Input validator

import sys

st = set(range(1, 2))

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

n = int(fi.readline().strip())
if 1 > n or n > 100:
    sys.exit(f'N out of range')
print(n, file=fo)

tt = [int(i) for i in fi.readline().split()]
if len(tt) != n:
    sys.exit(f'Wong number of T[i]')
for t in tt:
    if 1 > t or t > 12:
        sys.exit(f'T[{1+i}] out of range')
print(*tt, file=fo)

fi.close()
fo.close()

if len(sys.argv) > 4 and sys.argv[4].startswith('-v'):
    print('subtasks:', *st)
